import program from 'commander';
import { version, description } from '../package.json';
import loader from '.';

import errors from './errno';

export default () =>
  program.version(version)
    .arguments('<page>')
    .action(page =>
      loader(page, program.output)
        .catch((err) => {
          console.error(err.message);
          process.exit(err.errno || errors.code.UNKNOWN.errno);
        }))
    .description(description)
    .option('--output [dir]', 'spase to save the page', process.cwd())
    .parse(process.argv);
