import createDebug from 'debug';

import cheerio from 'cheerio';
import url from 'url';

const debug = createDebug('page-loader:parse');

const sourcesTag = [
  {
    tag: 'script',
    src: 'src',
  },
  {
    tag: 'link',
    src: 'href',
  },
  {
    tag: 'img',
    src: 'src',
  }];

export const links = (html) => {
  const $ = cheerio.load(html);
  const arr = [];
  sourcesTag.forEach((srcTag) => {
    $(srcTag.tag).each((i, element) => {
      const src = $(element).attr(srcTag.src);
      if (src) {
        arr.push(src);
        debug('found a link %s', src);
      }
    });
  });
  return arr;
};

const isLocalLink = link =>
  !url.parse(link).hostname;

export const localLinks = (html) => {
  const arr = links(html).filter(isLocalLink);
  debug('found %d local links', arr.length);
  return arr;
};
